Subject: Re: [Gen-art] Genart last call review of draft-ietf-homenet-babel-profile-05

From: Alissa Cooper <[email-masked]>
Date: Wed, 9 May 2018 21:10:02 -0400

Stewart, thanks for your review. Authors, thanks for the lively discussion. :) I think it has improved the document. I entered a No Objection ballot.

Alissa

> On Feb 20, 2018, at 12:46 PM, Stewart Bryant <[email-masked]> wrote:
> 
> Reviewer: Stewart Bryant
> Review result: Ready with Issues
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-homenet-babel-profile-05
> Reviewer: Stewart Bryant
> Review Date: 2018-02-20
> IETF LC End Date: 2018-02-26
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary: This is understandable, and close to completion. There are a few minor
> points that need attention, and couple of major points that may just need
> clarification.
> 
> Major issues:
> 
> In addition,
>      if implementations use conflicting route selection policies,
>      persistent oscillations might occur.
> SB> Is this consistent with the statement earlier in the para that
> SB> " Distinct
> SB>   implementations of RFC 6126bis Babel will interoperate, in the
> SB>   sense that they will maintain a set of loop-free forwarding paths"?
> 
> =======
> 
> Since IPv6 has some
>      features that make implementations somewhat simpler and more
>      reliable (notably link-local addresses), we require carrying
>      control data over IPv6.
> SB> Earlier you said that IPv4 also had Link Local addresses, so how
> SB> can link local addresses be the deciding selection criteria? Is there
> SB> something technically better about IPv6 LL?
> 
> Minor issues:
> 
>      Rationale: support for wireless transit links is a "killer
>      feature" of Homenet, something that is requested by our users and
>      easy to explain to our bosses.  In the absence of dynamically
> 
> SB> Not sure explicability to your boss counts for much as a basis for
> SB> a feature an international standard.
> 
> ======
> 
> Nits/editorial comments:
> 
> Abstract
> 
>   This document defines the subset of the Babel routing protocol and
>   its extensions that a Homenet router must implement, as well as the
>   interactions between HNCP and Babel.
> 
> SB> HNCP needs to be expanded
> SB> Both need a reference, but the reference needs to be expanded
> SB> i.e. RFC7788 not [RFC7788]
> 
> =====
> 
>   The core of the Homenet protocol suite consists of HNCP [RFC7788], a
> SB> HNCP needs to be expanded on first use
> 
> =====
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art